package com.ruoyi.system.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.system.domain.TGoods;

/**
 * 物品Service接口
 * 
 * @author ruoyi
 * @date 2024-02-20
 */
public interface ITGoodsService 
{
    /**
     * 查询物品
     * 
     * @param id 物品主键
     * @return 物品
     */
    public TGoods selectTGoodsById(Long id);

    /**
     * 查询物品列表
     * 
     * @param tGoods 物品
     * @return 物品集合
     */
    public List<TGoods> selectTGoodsList(TGoods tGoods);

    /**
     * 新增物品
     * 
     * @param tGoods 物品
     * @return 结果
     */
    public int insertTGoods(TGoods tGoods);

    /**
     * 修改物品
     * 
     * @param tGoods 物品
     * @return 结果
     */
    public int updateTGoods(TGoods tGoods);

    /**
     * 批量删除物品
     * 
     * @param ids 需要删除的物品主键集合
     * @return 结果
     */
    public int deleteTGoodsByIds(Long[] ids);

    /**
     * 删除物品信息
     * 
     * @param id 物品主键
     * @return 结果
     */
    public int deleteTGoodsById(Long id);

    List<Map<String, Object>> getKuFangList(Long userId);
}
